/**
 * @license
 * Copyright 2018-2021 Streamlit Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

describe("st.experimental_query_string", () => {
  beforeEach(() => {
    cy.visit("http://localhost:3000/");

    // Make the ribbon decoration line disappear
    cy.get("[data-testid='stDecoration']").invoke("css", "display", "none");
  });

  it("shows button correctly", () => {
    cy.get(".stButton").should("have.length", 1);
  });

  it("sets query string correctly when user clicks", () => {
    cy.get(".stButton button").click();

    cy.url().should(
      "include",
      "http://localhost:3000/?" +
        "show_map=True&" +
        "number_of_countries=2&" +
        "selected=asia&selected=america"
    );
  });
});
