/**
 * @license
 * Copyright 2018-2021 Streamlit Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

describe("Legacy Dataframes with different sizes", () => {
  // All sizes are 2px smaller than the actual size, due to 1px border.
  const expected = [
    { width: "702px", height: "298px" },
    { width: "248px", height: "148px" },
    { width: "248px", height: "298px" },
    { width: "702px", height: "148px" }
  ];

  before(() => {
    cy.visit("http://localhost:3000/");
  });

  it("should show as expected", () => {
    cy.get(".element-container .stDataFrame")
      .should("have.length", 4)
      .each(($element, index) => {
        return cy
          .wrap($element)
          .should("have.css", "width", expected[index].width)
          .should("have.css", "height", expected[index].height);
      });
  });
});
